import request from "@/router/axios";
// 查看任务统计
export const missionCount = (params) => {
  return request({
    url: "/api/jobslink-api/report/allCount/missionCount",
    method: "get",
    params,
  });
};
// 主动服务统计
export const mainReportComprehensive = (params) => {
  return request({
    url: "/api/jobslink-api/report/mainReport/comprehensive",
    method: "get",
    params,
  });
};
// 查看岗位统计
export const roleCount = (params) => {
  return request({
    url: "/api/jobslink-api/report/allCount/roleCount",
    method: "get",
    params,
  });
};
//查看审核统计
export const reviewCount = (params) => {
  return request({
    url: "/api/jobslink-api/report/allCount/reviewCount",
    method: "get",
    params,
  });
};
//查看政策统计
export const policyCount = (params) => {
  return request({
    url: "/api/jobslink-api/report/allCount/policyCount",
    method: "get",
    params,
  });
};
//潜在人群
export const potentialCount = (params) => {
  return request({
    url: "/api/jobslink-api/report/mainReport/potentialCount",
    method: "get",
    params,
  });
};
//已认定人群
export const confirmCount = (params) => {
  return request({
    url: "/api/jobslink-api/report/mainReport/confirmCount",
    method: "get",
    params,
  });
};


//-------服务统计-----

//创业服务统计
export const innovationServeCount = (params) => {
  return request({
    url: "/api/jobslink-api/report/mainReport/innovationServeCount",
    method: "get",
    params,
  });
};

//失业保险服务统计
export const unemploymentInsuranceServiceCount = (params) => {
  return request({
    url: "/api/jobslink-api/report/mainReport/unemploymentInsuranceServiceCount",
    method: "get",
    params,
  });
};

//职业培训服务统计
export const vocationalTrainingServiceCount = (params) => {
  return request({
    url: "/api/jobslink-api/report/mainReport/vocationalTrainingServiceCount",
    method: "get",
    params,
  });
};

//就业服务统计
export const vocationalServiceCount = (params) => {
  return request({
    url: "/api/jobslink-api/report/mainReport/vocationalServiceCount",
    method: "get",
    params,
  });
};

//查看所有的服务
//1762444035302395906		失业保险服务
//1762444363573792769		职业培训服务
//1762444534038695938		就业服务
//1767902578403028993		创业服务
export const listAllServe = (params) => {
  return request({
    url: "/api/jobslink-api/serve/listAllServe",
    method: "get",
    params,
  });
};
